# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

[build-system]
requires = [
  "hatchling >= 1.8, < 2",
  "hatch-requirements-txt >= 0.3, < 0.5",
]
build-backend = "hatchling.build"

[project]
name = "parse_stages"
description = "Parse an expression for selecting stages and tags"
readme = "README.md"
license = {text = "BSD-2-Clause"}
requires-python = ">= 3.10"
dynamic = ["dependencies", "version"]
classifiers = [
  "Development Status :: 5 - Production/Stable",
  "Intended Audience :: Developers",
  "License :: DFSG approved",
  "License :: Freely Distributable",
  "License :: OSI Approved :: BSD License",
  "Operating System :: OS Independent",
  "Programming Language :: Python",
  "Programming Language :: Python :: 3",
  "Programming Language :: Python :: 3 :: Only",
  "Programming Language :: Python :: 3.10",
  "Programming Language :: Python :: 3.11",
  "Programming Language :: Python :: 3.12",
  "Programming Language :: Python :: 3.13",
  "Topic :: Software Development :: Libraries",
  "Topic :: Software Development :: Libraries :: Python Modules",
  "Topic :: Software Development :: Testing",
  "Topic :: Software Development :: Testing :: Unit",
  "Typing :: Typed",
]

[[project.authors]]
name = "Peter Pentchev"
email = "roam@ringlet.net"

[project.urls]
Homepage = "https://devel.ringlet.net/devel/parse-stages/"
Changes = "https://devel.ringlet.net/devel/parse-stages/changes/"
"Issue Tracker" = "https://gitlab.com/ppentchev/parse-stages/-/issues"
"Source Code" = "https://gitlab.com/ppentchev/parse-stages"

[tool.hatch.build.targets.wheel]
packages = ["src/parse_stages"]

[tool.hatch.metadata.hooks.requirements_txt]
files = ["requirements/install.txt"]

[tool.hatch.version]
path = "src/parse_stages/defs.py"

[tool.mypy]
strict = true

[tool.ruff]
extend = "ruff-base.toml"
output-format = "concise"
preview = true

[tool.ruff.lint]
select = ["ALL"]

[tool.test-stages]
stages = [
  "@check and @quick and not @manual",
  "@check and not @manual",
  "@tests and not @manual",
]
